Jump to content
oliiix

Make previous versions available for download please

Recommended Posts

Dear Affinity

I'd really like to have the option to download previous versions of any of your software. Right now all I can do is download the current version of your software, but as the current version of e.g. Photo has a bug on importing brushes, it's completely useless to me and I'd like to be able to download previous versions for this. Or test the software better, but I know that's hard ;)

It would also make sense to add a "don't show until next version"-checkbox to the dialog box that informs me about a new update. This way I at least would be notified if the buggy version has a new version available. I'm not that good in remembering version numbers.

Thanks a lot!

All the best,

Oli

Share this post


Link to post
Share on other sites
39 minutes ago, oliiix said:

I'd really like to have the option to download previous versions of any of your software.

I recommend to keep a couple of install files on your hard drive until you are sure you won't need them anymore.

To offer different versions online may cause confusion and may cause more support requests.

d.


Affinity Designer 1.8.5 (beta 1.9.0.734)   |   Affinity Photo 1.8.5 (beta 1.9.0.734)   |   Affinity Publisher 1.8.5 (beta 1.9.0.742)
Affinity Designer for iPad 1.8.4   |   Affinity Photo for iPad 1.8.4

Windows 10 (1809) 64-bit - Core i7 - 16GB - Intel HD Graphics 4600 & NVIDIA GeForce GTX 960M
iPad pro 9.7" + Apple Pencil

Share this post


Link to post
Share on other sites

Yes Dominik I only looked at it  from my perspective :) This really could lead to more confusion/supp requests, never knew,but you could name the link to previous versions "Previous versions" =) Yes I normally have some older setup files but had removed them stupidly at the wrong  moment  =)

I bought them directly from affinitys website. Sorry for this late reply :)

And  what I thought is going to happen which is my fault as  well, I forgot the brush-bugged version number. Was it 1.7.2 or  is it the currently available 1.7.3?^^ Ye I just  wait for 1.7.4 or later  :D

Share this post


Link to post
Share on other sites

Wow I didn't see that.   Thanks  a lot!!

Edit:  Would be great  if  I   could mark this thread as  solved ;)  Maybe I'm too blind for that aswell^^

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...

Important Information

Please note the Annual Company Closure section in the Terms of Use. These are the Terms of Use you will be asked to agree to if you join the forum. | Privacy Policy | Guidelines | We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.